Subject: bug#47558: 28.0.50; dlopen 'image not found' gccemacs native-lisp macos

From: Alan Third <[email-masked]>
Date: Tue, 6 Apr 2021 22:11:52 +0100

On Tue, Apr 06, 2021 at 07:26:16PM +0000, Andrea Corallo wrote:
> 
> Okay the log looks good AFAICT.
> 
> We are suggesting the eln to go in:
> /Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/MacOS/bin/
> 
> and the eln in:
> /Users/alan/src/emacs/native/nextstep/Emacs.app/Contents/Resources/

OK, I think I see what's going on. The binary is installed in
Emacs.app/Contents/MacOS, but the bindir is
Emacs.app/Contents/MacOS/bin, so we're going one level too far up when
generating the eln path.

"../../Resources/native-lisp/28.0.50-0f05d3d3/preloaded/misc-lang-7cb33d20-db3eb4ae.eln"

> If this does not help I suggest we apply the attached and re-bootstrap
> to see if the 'rel-filename-from-install-bin' we are constructing is
> correct.

I've attached the new bootstrap log in case I'm wrong and you can see
something else.
-- 
Alan Third